Subject: [PATCH v2 0/1] upload-pack.c: increase output buffer size

From: Jacob Vosmaer <[email-masked]>
Date: Tue, 14 Dec 2021 20:46:25 +0100

Thank you Ævar and Peff for your comments on the previous iteration
of this patch. I have made the buffer size fixed at the pktline
maximum, and I have changed the storage of output_state from stack
to heap.

As far as I can tell, all return paths from create_pack_file call
"die", except the happy path. So I only free the heap-allocated
output_state on the happy path. Is that OK, or should I use a "goto
out" function shape?

Jacob Vosmaer (1):
  upload-pack.c: increase output buffer size

 upload-pack.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

-- 
2.33.0